/// <reference types="node" />
import { SerializedBundle } from './types/bundle';
export interface SignOptions {
    fulcioBaseURL?: string;
    rekorBaseURL?: string;
    identityToken?: string;
    oidcIssuer?: string;
    oidcClientID?: string;
    oidcClientSecret?: string;
}
export interface VerifierOptions {
    rekorBaseURL?: string;
}
export declare function getRekorBaseUrl(options?: SignOptions): string;
export declare type Bundle = SerializedBundle;
export declare function sign(payload: Buffer, options?: SignOptions): Promise<Bundle>;
export declare function signAttestation(payload: Buffer, payloadType: string, options?: SignOptions): Promise<Bundle>;
export declare function verify(bundle: Bundle, data?: Buffer, options?: VerifierOptions): Promise<boolean>;
//# sourceMappingURL=sigstore.d.ts.map