import { OneOf } from '../utility';
declare type SerializedVerificationData = {
    tlogEntries: {
        logIndex: string;
        logId: {
            keyId: string;
        };
        kindVersion: {
            kind: string;
            version: string;
        } | undefined;
        integratedTime: string;
        inclusionPromise: {
            signedEntryTimestamp: string;
        };
        inclusionProof: {
            logIndex: string;
            rootHash: string;
            treeSize: string;
            hashes: string[];
            checkpoint: {
                envelope: string;
            };
        } | undefined;
    }[];
    timestampVerificationData: {
        rfc3161Timestamps: {
            signedTimestamp: string;
        }[];
    };
};
declare type SerializedMessageSignature = {
    messageDigest: {
        algorithm: string;
        digest: string;
    } | undefined;
    signature: string;
};
declare type SerializedDSSEEnvelope = {
    payload: string;
    payloadType: string;
    signatures: {
        sig: string;
        keyid: string;
    }[];
};
export declare type SerializedBundle = {
    mediaType: string;
    verificationData: SerializedVerificationData | undefined;
    verificationMaterial: OneOf<{
        x509CertificateChain: {
            certificates: {
                derBytes: string;
            }[];
        };
        publicKey: {
            hint: string;
        };
    }> | undefined;
} & OneOf<{
    dsseEnvelope: SerializedDSSEEnvelope;
    messageSignature: SerializedMessageSignature;
}>;
export {};
//# sourceMappingURL=serialized.d.ts.map