/// <reference types="node" />
import { Envelope } from '../bundle';
import { HashedRekorV001Schema } from './__generated__/hashedrekord';
import { IntotoV001Schema, IntotoV002Schema } from './__generated__/intoto';
declare const INTOTO_KIND = "intoto";
declare const HASHEDREKORD_KIND = "hashedrekord";
export declare type HashedRekordKind = {
    apiVersion: '0.0.1';
    kind: typeof HASHEDREKORD_KIND;
    spec: HashedRekorV001Schema;
};
export declare type IntotoKind = {
    apiVersion: '0.0.1';
    kind: typeof INTOTO_KIND;
    spec: IntotoV001Schema;
} | {
    apiVersion: '0.0.2';
    kind: typeof INTOTO_KIND;
    spec: IntotoV002Schema;
};
export declare type EntryKind = HashedRekordKind | IntotoKind;
export interface Entry {
    uuid: string;
    body: string;
    integratedTime: number;
    logID: string;
    logIndex: number;
    verification: EntryVerification;
    attestation?: object;
}
export interface EntryVerification {
    inclusionProof: InclusionProof;
    signedEntryTimestamp: string;
}
export interface InclusionProof {
    hashes: string[];
    logIndex: number;
    rootHash: string;
    treeSize: number;
}
export declare const rekor: {
    toProposedIntotoEntry: (envelope: Envelope, certificate: string) => IntotoKind;
    toProposedHashedRekordEntry: (digest: Buffer, signature: Buffer, certificate: string) => HashedRekordKind;
};
export {};
//# sourceMappingURL=index.d.ts.map